;################################################################################
;#										#
;# main definitions for library use						#
;# copyright (c) 2007-2015 Joerg Wolfram (joerg@jcwolfram.de)			#
;#										#
;#										#
;# This program is free software; you can redistribute it and/or		#
;# modify it under the terms of the GNU General Public License as 		#
;# published by the Free Software Foundation; either version 3 of		#
;# the License, or (at your option) any later version.				#
;#										#
;# This library is distributed in the hope that it will be useful,		#
;# but WITHOUT ANY WARRANTY; without even the implied warranty of		#
;# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the GNU		#
;# Lesser General Public License for more details.				#
;#										#
;# You should have received a copy of the GNU Lesser General Public		#
;# License along with this library; if not, write to the			#
;# Free Software Foundation, Inc., 59 Temple Place - Suite 330,			#
;# Boston, MA 02111-1307, USA.							#
;#										#
;################################################################################

.def		const_0 = r2
.def		const_1 = r3

.def		vline_l = r8
.def		vline_h = r9
.def		libmio_cur_x = r10
.def		libmio_cur_y = r11


.def		acc1l = r16
.def		acc1h = r17
.def		acc2l = r18
.def		acc2h = r19

.def		tempreg1 = r20
.def		tempreg2 = r21
.def		tempreg3 = r22
.def		tempreg4 = r23
.def		tempreg5 = r4
.def		tempreg6 = r5
.def		tempreg7 = r6
.def		tempreg8 = r7

.def		ereg = r24
.def		ctrl = r25

;xmem entry points
.equ		xmem_aread	= 0x11
.equ		xmem_awrite	= 0x12
.equ		xmem_bread	= 0x13
.equ		xmem_bwrite	= 0x14
.equ		xmem_wread	= 0x15
.equ		xmem_wwrite	= 0x16
.equ		xmem_check	= 0x17
.equ		xmem_clear	= 0x18

;vdriver entry points
.equ		vdrv_inex	= 0x0e
.equ		vdrv_outex	= 0x0f
.equ		vdrv_id		= 0x10
.equ		vdrv_init	= 0x11
.equ		vdrv_cls	= 0x12
.equ		vdrv_char	= 0x13
.equ		vdrv_gotoxy	= 0x14
.equ		vdrv_plot	= 0x15
.equ		vdrv_newline	= 0x16
.equ		vdrv_vid	= 0x17
.equ		vdrv_startup	= 0x18

.equ		frame_entry	= 0x21
.equ		envelope_entry	= 0x22
.equ		note_entry	= 0x23

;filesys entry points
.equ		xfsys_checkf	= 0x11
.equ		xfsys_gtype	= 0x12
.equ		xfsys_stype	= 0x13
.equ		xfsys_free	= 0x14
.equ		xfsys_size	= 0x15
.equ		xfsys_gword	= 0x16
.equ		xfsys_create	= 0x17
.equ		xfsys_delete	= 0x18
.equ		xfsys_read	= 0x19
.equ		xfsys_write	= 0x1a
.equ		xfsys_gmax	= 0x1b
.equ		xfsys_format	= 0x1c
.equ		xfsys_rread	= 0x1d
.equ		xfsys_rwrite	= 0x1e

.equ		xkbd_get	= 0x20

.equ		prg_funct	= 0x10f0	;funct bytes
.equ		prg_vdrv	= 0x10f0	;vdriver program = bit 0
.equ		prg_frame	= 0x10f1	;frame sync program = bit 1
.equ		prg_sound	= 0x10f2	;sound routines = bit 2
.equ		prg_basext	= 0x10f3	;basic extension program = bit 3
.equ		prg_xmem	= 0x10f4	;XMEM program = bit 4
.equ		prg_fsys	= 0x10f5	;filesys extension program = bit 5
.equ		prg_font	= 0x10f6	;is font = bit 6
.equ		prg_keyb	= 0x10f7	;ist KBD ext = bit 7
.equ		xram_page	= 0x10ff	;extmem page

